#include "client.h"

/* Lancement d'un client */
void client(char* ip_addr) {
	WinUpdateData updateData;

	// Connexion avec le serveur et reception de la premier configuration
	updateData.sock = client_socket_init(ip_addr);
	client_socket_recv_windowClient(updateData.sock, &(updateData.winClient));
	updateData.winClient.event = EVENT_FIRST;

	// Lancement de la fenetre graphique, qui lancera le thread de mise a jour
	client_window(&updateData);

	// Fermeture du socket avec le serveur
	client_socket_close(updateData.sock);
}

/* Fonction threadee, recoit en permanence les nouvelles configurations de la fenetre
 * et lance la procedure de mise a jour de celle-ci. */
void client_updates(void* p_data) {
	WinUpdateData* updateData;
	updateData = (WinUpdateData *) p_data;

	// Tant que le jeu continue
	while (!MGBT_EXIT_SIGNAL) {

		// Reception d'une configuration depuis le serveur
		if (client_socket_recv_windowClient(updateData->sock, &(updateData->winClient)) == RECV_OK) {
			gdk_threads_enter();

			// Mise a jour graphique
			client_window_update(updateData);

			gdk_flush();
			gdk_threads_leave();
		}
	}
}
