#include "client_socket.h"

/* Initialisation du socket d'un client : tentative de connexion au serveur */
SOCKET client_socket_init(char* ip_addr) {
	SOCKET sock;
	SOCKADDR_IN sin = { 0 };
	struct hostent *hostinfo = NULL;

	// Creation
	sock = socket(AF_INET, SOCK_STREAM, 0);

	if (sock == INVALID_SOCKET) {
		perror("socket()");
		exit(errno);
	}

	hostinfo = gethostbyname(ip_addr);

	if (hostinfo == NULL) {
		fprintf(stderr, "Unknown host %s.\n", ip_addr);
		exit(EXIT_FAILURE);
	}

	sin.sin_addr = *(IN_ADDR *) hostinfo->h_addr;
	sin.sin_port = htons(PORT);
	sin.sin_family = AF_INET;

	// Connexion
	if (connect(sock, (SOCKADDR *) &sin, sizeof(SOCKADDR)) == SOCKET_ERROR) {
		perror("connect()");
		exit(errno);
	}

	return sock;
}

/* Demande au client d'attendre l'arrivee d'une configuration pour sa fenetre */
RecvReturn client_socket_recv_windowClient(SOCKET sock, WindowClient* winClient) {
	if (recv(sock, winClient, sizeof(WindowClient), 0) == -1)
		return RECV_TIMEOUT;

	return RECV_OK;
}
