#ifndef CLIENT_WINDOW_H
#define CLIENT_WINDOW_H

#include <stdlib.h>
#include <gtk-2.0/gtk/gtk.h>
#include <gtk-2.0/gdk/gdkcolor.h>
#include <gdk-pixbuf-2.0/gdk-pixbuf/gdk-pixbuf.h>
#include <pthread.h>
#include <string.h>

#include "constants.h"
#include "socket.h"

typedef enum {
	EVENT_FIRST,
	EVENT_PLAY,
	EVENT_PAUSE,
	EVENT_COUNTDOWN,
	EVENT_GOOD,
	EVENT_BAD,
	EVENT_GOOD_WHAMMY_BAR,
	EVENT_TIMER,
	EVENT_QUIT
} WindowClientEvents;

typedef struct {
	WindowClientEvents event;
	char serieDir[256], color[8];
	int screenNumber, numberStrum, downBy;
} WindowClient;

typedef struct {
	GtkWidget *window, *layout, *screenshotImg, *numberImg, *label;
	WindowClient winClient;
	SOCKET sock;
} WinUpdateData;

#include "client.h"

void client_window(WinUpdateData* updateData);
void client_window_create(WinUpdateData* updateData);
void client_window_update(WinUpdateData* updateData);

#endif
