#include "gtk_utils.h"

int gtk_utils_dialog_yesno(GtkWidget *parent, char *title, char *message) {
	GtkWidget *dialog, *label;
	int answer;

	dialog = gtk_dialog_new_with_buttons(title, GTK_WINDOW(parent),
			GTK_DIALOG_MODAL, GTK_STOCK_YES, GTK_RESPONSE_ACCEPT, GTK_STOCK_NO,
			GTK_RESPONSE_REJECT, NULL);
	gtk_container_set_border_width(GTK_CONTAINER(dialog), 10);

	label = gtk_label_new(message);

	gtk_box_set_spacing(GTK_BOX(GTK_DIALOG(dialog)->vbox), 5);
	gtk_container_add(GTK_CONTAINER(GTK_DIALOG(dialog)->vbox), label);
	gtk_widget_show_all(dialog);

	answer = gtk_dialog_run(GTK_DIALOG(dialog));
	gtk_widget_destroy(dialog);
	return answer;
}

/* Creation d'une box speciale boutons */
GtkWidget* gtk_utils_create_buttonsbox(int horizontal, int spacing,
		int child_w, int child_h, int layout) {
	GtkWidget* buttonsBox;

	buttonsBox = horizontal ? gtk_hbutton_box_new() : gtk_vbutton_box_new();

	gtk_container_set_border_width(GTK_CONTAINER(buttonsBox), 5);

	gtk_button_box_set_layout(GTK_BUTTON_BOX(buttonsBox), layout);
	gtk_button_box_set_spacing(GTK_BUTTON_BOX(buttonsBox), spacing);
	gtk_button_box_set_child_size(GTK_BUTTON_BOX(buttonsBox), child_w, child_h);

	return buttonsBox;
}
