#include "main.h"

int main(int argc, char *argv[]) {
	char *program, *clientOrServer, *ip;
	GameStatus game;
	Clients clients;
	SOCKET sock;
	Series* series;
	pthread_t clientsThread;

	program = argv[0];
	clientOrServer = argv[1];
	ip = argv[2];

	memset(&game, 0, sizeof(GameStatus));
	memset(&clients, 0, sizeof(Clients));

	switch (argc) {
	case 1:
		main_window(&game, &clients);
		break;
	case 2: // serveur
		if (!strcmp(clientOrServer, PARAM_SERVER)) {
			server_init(&clients, &series, &sock, &clientsThread);
			server_wiimote_init(&game);
			server(&game, &clients, series, sock, clientsThread);
		}
	case 3: // client
		if (!strcmp(clientOrServer, PARAM_CLIENT)) {
			client(ip);
		}
	default:
		printf("Usage:\n");
		printf("\tClient: %s %s <server_ip>\n", program, PARAM_CLIENT);
		printf("\tServer: %s %s (default)\n", program, PARAM_SERVER);
		return EXIT_FAILURE;
	}

	return EXIT_SUCCESS;
}
