#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H

#include <stdlib.h>
#include <string.h>
#include <pthread.h>
#include <gtk-2.0/gtk/gtk.h>
#include <gtk-2.0/gdk/gdkcolor.h>
#include <gdk-pixbuf-2.0/gdk-pixbuf/gdk-pixbuf.h>
//#include <webkit/webkit.h>

#include "gtk_utils.h"
#include "constants.h"
#include "server.h"
#include "main_window_client.h"
#include "main_window_server.h"

typedef struct {
	GtkWidget *window, *mainBox;
	GameStatus* game;
	Clients* clients;
} MainWindowData;

typedef struct {
	GtkWidget *statsLabel, *scoresLabel, *infoLabel, *wiimotesButton,
			*startButton, *quitButton, *pauseButton, *resetButton;

	SOCKET sock;
	Series* series;
	pthread_t clientsThread;
	MainWindowData* mainWindowData;
} MainWindowServerData;

void main_window(GameStatus* game, Clients* clients);
void main_window_launcher(MainWindowServerData* mainWindowServerData);
void main_window_help(GtkWidget* button, gpointer p_data);
void main_window_about(GtkWidget* button, gpointer p_data);

void main_window_refresh_widget(GtkWidget* widget);
int main_dialog_quitter(GtkWidget *parent);
void main_window_quit(GtkWidget* button, gpointer p_data);

#endif
