#include "main_window_client.h"

void main_window_client(GtkWidget* button, gpointer p_data) {
	MainWindowData* mainWindowData = (MainWindowData*) p_data;
	GtkWidget *frame, *hbox, *label, *entry, *buttonsBox, *joinButton,
			*quitButton;

	gtk_window_set_title(GTK_WINDOW(mainWindowData->window), TITLE" - Client");
	gtk_container_remove(GTK_CONTAINER(mainWindowData->window),
			mainWindowData->mainBox);
	mainWindowData->mainBox = gtk_vbox_new(FALSE, 0);

	frame = gtk_frame_new("Client");

	hbox = gtk_hbox_new(FALSE, 10);
	gtk_container_set_border_width(GTK_CONTAINER(hbox), 5);
	label = gtk_label_new("Adresse IP : ");
	entry = gtk_entry_new();

	buttonsBox = gtk_utils_create_buttonsbox(TRUE, 10, 140, 20,
			GTK_BUTTONBOX_EDGE);
	gtk_container_set_border_width(GTK_CONTAINER(buttonsBox), 5);
	joinButton = gtk_button_new_with_label("Rejoindre");
	quitButton = gtk_button_new_from_stock(GTK_STOCK_QUIT);

	g_signal_connect(G_OBJECT(entry), "activate",
			G_CALLBACK(main_window_client_join), entry);
	g_signal_connect(G_OBJECT(joinButton), "clicked",
			G_CALLBACK(main_window_client_join), entry);
	g_signal_connect(G_OBJECT(quitButton), "clicked",
			G_CALLBACK(main_window_client_quit), mainWindowData);

	gtk_container_add(GTK_CONTAINER(mainWindowData->mainBox), frame);
	gtk_container_add(GTK_CONTAINER(mainWindowData->mainBox), buttonsBox);

	gtk_container_add(GTK_CONTAINER(frame), hbox);
	gtk_container_add(GTK_CONTAINER(hbox), label);
	gtk_container_add(GTK_CONTAINER(hbox), entry);

	gtk_container_add(GTK_CONTAINER(buttonsBox), joinButton);
	gtk_container_add(GTK_CONTAINER(buttonsBox), quitButton);

	gtk_container_add(GTK_CONTAINER(mainWindowData->window),
			mainWindowData->mainBox);
	gtk_widget_show_all(mainWindowData->window);
}

void main_window_client_join(GtkWidget* button, gpointer p_data) {
	gtk_main_quit();
	client((char *) gtk_entry_get_text(GTK_ENTRY(p_data)));
}

void main_window_client_quit(GtkWidget* button, gpointer p_data) {
	MainWindowData* mainWindowData = (MainWindowData *) p_data;
	int answer;

	answer = gtk_utils_dialog_yesno(mainWindowData->window, TITLE,
			"Êtes vous sur de vouloir quitter "TITLE" ?");

	if (answer == GTK_RESPONSE_ACCEPT)
		gtk_main_quit();
}
