#ifndef SERVER_H
#define SERVER_H

#include <stdio.h>
#include <stdlib.h>
#include <wiiuse.h>
#include <unistd.h>
#include <time.h>
#include "constants.h"
#include "server_series.h"
#include "server_socket.h"
#include "server_sound.h"

#define G_GREEN 0
#define G_RED 1
#define G_YELLOW 2
#define G_BLUE 3
#define G_ORANGE 4
#define G_WHAMMY_BAR 5

typedef enum {
	W_INIT,
	W_PLAY, W_WHAMMY_DOWN,
	W_REQ_PAUSE, W_PAUSE, W_REPRISE,
	W_NOEVENT,
	W_DISCONNECT, W_QUIT
} WiimoteStatus;

typedef struct {
	int nbStrums, validated;
} ColorStatus;

typedef struct {
	int id, score, hasNewEvent;
	wiimote* wiimote;
	WiimoteStatus wiimoteStatus;
	ColorStatus colors[NB_COLOR];
} PlayerStatus;

typedef struct {
	PlayerStatus players[MAX_WIIMOTES];
	int nb_players;
} GameStatus;

#include "server_wiimote.h"
#include "server_score.h"
#include "server_setWindowClient.h"

void server_init(Clients* clients, Series** series, SOCKET* sock, pthread_t* clientsThread);
void server(GameStatus* game, Clients* clients, Series* series, SOCKET sock, pthread_t clientsThread);
void server_reset_data(Clients* clients, GameStatus* game);
void server_quit_all();

#endif
