#ifndef SERVER_SOCK_H
#define SERVER_SOCK_H

#include <string.h>
#include "client_socket.h"
#include "server_series.h"
#include "server.h"

#define server_socket_close_client(c) close(c->sock)
#define server_socket_free_client free
#define server_socket_close close

typedef struct {
	SOCKET sock;
	Clients* clients;
	Series* series;
} WelcomeClients;

SOCKET server_socket_init();
SOCKET server_socket_accept_client(SOCKET sock);
pthread_t server_socket_welcome_clients_start(Clients* clients, SOCKET sock,
		Series* series);
void server_socket_welcome_clients_stop(pthread_t wThread);
void server_socket_welcome_clients(void* p_data);
void server_socket_add_client(Clients* clients, Client* client);
void server_socket_del_client(Clients* clients, Client* client);
void server_socket_send_windowClient(Client* client, Clients* clients);
void server_socket_send_windowClients(Clients* clients);
int server_socket_count_clients(Clients* clients);
void server_socket_free(Clients* clients);

#endif
