#ifndef SERVEUR_SOUND2_H
#define SERVEUR_SOUND2_H

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <AL/al.h>
#include <AL/alut.h>
#include <ogg/ogg.h>
#include <vorbis/vorbisfile.h>
#include <pthread.h>
#include "server_series.h"

#define BUFFER_SIZE (4096 * 4)

typedef enum {
	SOUND_PLAY, SOUND_PAUSE, SOUND_STOP
} SoundStatus;

typedef struct {
	char filepath[256];
	SoundStatus status;
} SoundData;

typedef struct {
	OggVorbis_File oggStream;
	vorbis_info* vorbisInfo;
	vorbis_comment* vorbisComment;

	ALuint buffers[2];
	ALuint source;
	ALenum format;
} SoundGlobals;

pthread_t server_sound_start(SoundData* data);
void server_sound(void* p_data);
void server_sound_stop(pthread_t sThread);
char* server_sound_random(Series* series);
void server_sound_play_start_serie(SoundData* data, char* serieDir);
void server_sound_play_start_events(SoundData* data, char* event);
void server_sound_play_pause(SoundData* data);
void server_sound_play_reprise(SoundData* data);
void server_sound_play_stop(SoundData* data);

void server_sound_open(char* path, SoundGlobals* soundGlobals);
void server_sound_release(SoundGlobals* soundGlobals);
int server_sound_playback(SoundGlobals* soundGlobals);
int server_sound_playing(SoundGlobals* soundGlobals);
int server_sound_update(SoundGlobals* soundGlobals);

int server_sound_stream(ALuint buffer, SoundGlobals* soundGlobals);
void server_sound_empty(SoundGlobals* soundGlobals);
void server_sound_check();

void server_sound_shutdownOpenAL();

#endif
